From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 28 July 2005<P>

bk<BR>
Thanks for the pep talk. I am mystified myelf how this man is under my skin.  I felt no love lost like this even after my 12 yr marriage or any other man for that matter.<BR>
It's also funny that just when I begin to get out, start fresh & date again is when he always comes around.  We'll have no contact for months & then he just shows up & sends me into a tailspin & then slams me.  You'd think I would learn by now.<BR>
Sometimes I wounder if it's because I can't totally have him.  I would probably freak & run if he wanted me only.
<HR>